Bug 1021261 - Review Request: kipi-plugins-elegant-theme - elegant theme for html export
Review Request: kipi-plugins-elegant-theme - elegant theme for html export
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2013-10-20 16:13 EDT by Sebastian Dyroff
Modified: 2014-01-25 19:30 EST (History)
6 users (show)

See Also:
Fixed In Version: kipi-plugins-elegant-theme-1.4.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:04:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Dyroff 2013-10-20 16:13:29 EDT
Spec URL: http://git.dyroff.org/?p=sdyroff-rpms.git;a=blob_plain;f=SPECS/kipi-plugins-elegant-theme.spec;h=f827196685901b1279a87d179c94915823922144;hb=HEAD
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/1769/6081769/kipi-plugins-elegant-theme-1.4.0-1.fc21.src.rpm
Description: 
This is a theme for Digikam's Kipi HTML export function.

Fedora Account System Username: sdyroff
Comment 1 Sebastian Dyroff 2013-10-20 16:14:43 EDT
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6081769
Comment 2 Johan Swensson 2013-10-21 12:44:45 EDT
kipi-plugins-elegant-theme.noarch: W: spelling-error %description -l en_US slideshow -> sideshow, slide show, slide-show
kipi-plugins-elegant-theme.noarch: W: incoherent-version-in-changelog 1.4.1-1 ['1.4.0-1.fc19', '1.4.0-1']
kipi-plugins-elegant-theme.noarch: W: no-documentation
kipi-plugins-elegant-theme.src: W: spelling-error %description -l en_US slideshow -> sideshow, slide show, slide-show
kipi-plugins-elegant-theme.src: E: specfile-error warning: bogus date in %changelog: Tue Oct 20 2013 Sebastian Dyroff <sdyroff@fedoraproject.org> 1.4.1-1

You are not using desktop-file-install or desktop-file-validate when you're installing the .desktop file.
Comment 3 Rex Dieter 2013-10-21 12:49:57 EDT
Per
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Desktop_files

"If a package contains a GUI application...", this isn't a GUI application, so that section is not relevant.
Comment 4 Johan Swensson 2013-10-21 12:57:40 EDT
(In reply to Rex Dieter from comment #3)
> Per
> https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/
> Guidelines#Desktop_files
> 
> "If a package contains a GUI application...", this isn't a GUI application,
> so that section is not relevant.

Ah, yes of course. My bad. :)
Comment 5 Sebastian Dyroff 2013-10-21 16:09:57 EDT
Wow, thanks for the fast review. Updated the spec file:

http://git.dyroff.org/?p=sdyroff-rpms.git;a=blob_plain;f=SPECS/kipi-plugins-elegant-theme.spec;hb=3a18a07641bf673c4863436c2c76e2fea07dfcd7

- fixed the bogus changelog entry
- fixed the spelling error
Comment 6 Sebastian Dyroff 2013-10-21 16:23:29 EDT
The spelling seems not so clear, wikipedia says "When referring to the video or computer-based visual equivalent, in which the slides are not individual physical objects, the term is often written as one word, slideshow". I am not a native speaker so I cannot really judge on this one.
Comment 7 Johan Swensson 2013-10-21 16:36:23 EDT
There are still a inconsistency between the changelog and version tag.

Version:	1.4.0

%changelog
* Mon Oct 21 2013 Sebastian Dyroff <sdyroff@fedoraproject.org> - 1.4.1-2
- Fixed spelling error in description (bz 1021261)
Comment 9 Mario Blättermann 2013-11-01 08:27:03 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6122293

$ rpmlint -i -v *kipi-plugins-elegant-theme.noarch: I: checking
kipi-plugins-elegant-theme.noarch: I: checking-url http://kde-look.org/content/show.php/Elegant+theme+for+DigiKam%2BKipi+HTML+Expo?content=61904 (timeout 10 seconds)
kipi-plugins-elegant-theme.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

kipi-plugins-elegant-theme.src: I: checking
kipi-plugins-elegant-theme.src: I: checking-url http://kde-look.org/content/show.php/Elegant+theme+for+DigiKam%2BKipi+HTML+Expo?content=61904 (timeout 10 seconds)
kipi-plugins-elegant-theme.src: I: checking-url http://graphics.ucsd.edu/~wjarosz/kde-look/elegant-1.4.0.tar.gz (timeout 10 seconds)
kipi-plugins-elegant-theme.spec: I: checking-url http://graphics.ucsd.edu/~wjarosz/kde-look/elegant-1.4.0.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

The warning is ignorabele, because the tarball doesn't contain any docs.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    CC-BY
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    e20bcf359c0a2d337920410229a1a96e521d77260834c511bfe04e1f3e80810e  elegant-1.4.0.tar.gz
    e20bcf359c0a2d337920410229a1a96e521d77260834c511bfe04e1f3e80810e  elegant-1.4.0.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 10 Sebastian Dyroff 2013-11-01 17:18:33 EDT
Thanks for the review Mario!
Comment 11 Sebastian Dyroff 2013-11-01 17:22:10 EDT
New Package SCM Request
=======================
Package Name: kipi-plugins-elegant-theme
Short Description: Theme for Kipi HTML export
Owners: sdyroff
Branches: f19 f20
InitialCC: sdyroff
Comment 12 Gwyn Ciesla 2013-11-04 07:56:13 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-11-04 09:18:29 EST
kipi-plugins-elegant-theme-1.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kipi-plugins-elegant-theme-1.4.0-2.fc19
Comment 14 Fedora Update System 2013-11-04 09:21:30 EST
kipi-plugins-elegant-theme-1.4.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kipi-plugins-elegant-theme-1.4.0-2.fc20
Comment 15 Fedora Update System 2013-11-04 12:51:37 EST
kipi-plugins-elegant-theme-1.4.0-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 16 Fedora Update System 2013-11-10 02:04:22 EST
kipi-plugins-elegant-theme-1.4.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 17 Fedora Update System 2014-01-25 19:30:00 EST
kipi-plugins-elegant-theme-1.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.